<template>
	<component :is="currentCity" />
</template>

<script lang="tsx" setup name="businessDiscernApply">
import { defineAsyncComponent, computed } from 'vue';
import { useThemeConfig } from '@/stores/themeConfig';
import { storeToRefs } from 'pinia';

// 引入组件
const YiBin = defineAsyncComponent(() => import('@/views/business/discern/YBApply.vue')); // 宜宾甄别申请
const ZiGong = defineAsyncComponent(() => import('@/views/business/discern/ZGApply.vue')); // 自贡甄别申请
const LuZhou = defineAsyncComponent(() => import('@/views/business/discern/ZGApply.vue')); // 泸州甄别申请

const storesThemeConfig = useThemeConfig();
const { themeConfig } = storeToRefs(storesThemeConfig);

const COMPONENT_LIST = {
	YiBin,
	ZiGong,
	LuZhou
};
// 当前地州市
const currentCity = computed(() => {
	return COMPONENT_LIST[themeConfig.value.appScope];
});
</script>
